This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1301965 - image viewer prints critical messages in slideshow mode
image viewer prints critical messages in slideshow mode
Status: NEW
Product: Fedora
Classification: Fedora
Component: eog (Show other bugs)
25
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 08:03 EST by Jiri Prajzner
Modified: 2016-11-25 08:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Prajzner 2016-01-26 08:03:41 EST
Description of problem:
The image viewer (eog) prints critical messages in slideshow mode. First, it enters slideshow mode without checking if there're any images available and then prints critical error messages if the user presses any arrow key.

Version-Release number of selected component (if applicable):
3.18.1

How reproducible:
Always

Steps to Reproduce:
1. execute eog -s
2. press an arrow key
3.

Actual results:
(eog:7834): EOG-CRITICAL **: eog_list_store_length: assertion 'EOG_IS_LIST_STORE (store)' failed

(eog:7834): Gtk-CRITICAL **: gtk_tree_path_append_index: assertion 'index_ >= 0' failed

(eog:7834): Gtk-CRITICAL **: gtk_icon_view_select_path: assertion 'icon_view->priv->model != NULL' failed

(eog:7834): Gtk-CRITICAL **: gtk_tree_row_reference_new_proxy: assertion 'GTK_IS_TREE_MODEL (model)' failed

Expected results:
No critical messages.

Additional info:
The fact that there're no images available should be perhaps handled by notifying the user or defaulting to Pictures directory (if there're any pictures)
Comment 1 Fedora End Of Life 2016-11-24 10:12:41 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Jiri Prajzner 2016-11-25 08:19:29 EST
still valid in f25:
eog -s

(eog:15682): EOG-CRITICAL **: eog_list_store_length: assertion 'EOG_IS_LIST_STORE (store)' failed

(eog:15682): Gtk-CRITICAL **: gtk_icon_view_select_path: assertion 'icon_view->priv->model != NULL' failed

(eog:15682): Gtk-CRITICAL **: gtk_tree_row_reference_new_proxy: assertion 'GTK_IS_TREE_MODEL (model)' failed

(eog:15682): EOG-CRITICAL **: eog_list_store_length: assertion 'EOG_IS_LIST_STORE (store)' failed

(eog:15682): Gtk-CRITICAL **: gtk_icon_view_select_path: assertion 'icon_view->priv->model != NULL' failed

(eog:15682): Gtk-CRITICAL **: gtk_tree_row_reference_new_proxy: assertion 'GTK_IS_TREE_MODEL (model)' failed

(eog:15682): EOG-CRITICAL **: eog_list_store_length: assertion 'EOG_IS_LIST_STORE (store)' failed

(eog:15682): Gtk-CRITICAL **: gtk_tree_path_append_index: assertion 'index_ >= 0' failed

(eog:15682): Gtk-CRITICAL **: gtk_icon_view_select_path: assertion 'icon_view->priv->model != NULL' failed

(eog:15682): Gtk-CRITICAL **: gtk_tree_row_reference_new_proxy: assertion 'GTK_IS_TREE_MODEL (model)' failed

(eog:15682): EOG-CRITICAL **: eog_list_store_length: assertion 'EOG_IS_LIST_STORE (store)' failed

(eog:15682): Gtk-CRITICAL **: gtk_tree_path_append_index: assertion 'index_ >= 0' failed

(eog:15682): Gtk-CRITICAL **: gtk_icon_view_select_path: assertion 'icon_view->priv->model != NULL' failed

(eog:15682): Gtk-CRITICAL **: gtk_tree_row_reference_new_proxy: assertion 'GTK_IS_TREE_MODEL (model)' failed

(eog:15682): EOG-CRITICAL **: eog_list_store_length: assertion 'EOG_IS_LIST_STORE (store)' failed

(eog:15682): Gtk-CRITICAL **: gtk_icon_view_select_path: assertion 'icon_view->priv->model != NULL' failed

(eog:15682): Gtk-CRITICAL **: gtk_tree_row_reference_new_proxy: assertion 'GTK_IS_TREE_MODEL (model)' failed

(eog:15682): Gtk-WARNING **: Allocating size to EogSidebar 0x55a3a1733a60 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

Note You need to log in before you can comment on or make changes to this bug.